# Interface methods for submodule: ParametricImageSource
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import GenerateImageSourceProxy as _GenerateImageSourceProxy


# Interface methods for class: ParametricImageSource
class ParametricImageSourceProxy(_GenerateImageSourceProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetParameters(self, parameters: Sequence[float]) -> None:
		""""""
		...

	def GetParameters(self) -> Sequence[float]:
		""""""
		...

	def GetNumberOfParameters(self) -> int:
		""""""
		...

